loc_360C: ; SEGA Logo
    move.b  #$FD, d0
    bsr     PlayMusic          ; loc_14C0
    bsr     ClearPLC        ; loc_179A
    bsr     Pal_FadeFrom        ; loc_263A 
    lea     ($C00004), a6
    move.w  #$8004, (a6)
    move.w  #$8230, (a6)
    move.w  #$8407, (a6)
    move.w  #$8700, (a6)
    move.w  #$8B00, (a6)
    move.w  #$8C81, (a6)
    clr.b   (Water_move).w
    move    #$2700, SR
    move.w  (VDP_Reg0_Val).w, d0
    andi.b  #$BF, d0
    move.w  d0, ($C00004)
    bsr     ClearScreen         ; loc_1418
    move.l  #$40000000, ($C00004)
    lea     (SegaLogo), A0      ; Load Sega Sprites ; loc_70960  
    bsr     NemesisDec          ; loc_15FC
    lea     (Metablock_Table), a1
    lea     (SegaLogo_Mappings), A0 ; Load Sega Mappings ; loc_70DD0
    move.w  #$00, d0
    bsr     EnigmaDec           ; loc_18DA
    lea     (Metablock_Table), a1
    move.l  #$65100003, d0
    moveq   #$17, d1
    moveq   #7, d2
    bsr     ShowVDPGraphics     ; loc_154C
    lea     ($FFFF0180), a1
    move.l  #$40000003, d0
    moveq   #$27, d1
    moveq   #$1B, d2
    bsr     ShowVDPGraphics     ; loc_154C
    tst.b   (Graphics_Flags).w
    bmi.s   loc_36BE
    lea     ($FFFF0A40), a1
    move.l  #$453A0003, d0
    moveq   #2, d1
    moveq   #1, d2
    bsr     ShowVDPGraphics     ; loc_154C
loc_36BE:
    moveq   #0, d0
    bsr     PalLoad2        ; loc_28FE
    move.w  #$FFF6, ($FFFFF632).w
    move.w  #$00, ($FFFFF634).w
    move.w  #$00, ($FFFFF662).w
    move.w  #$00, ($FFFFF660).w
    move.w  #$B4, (Demo_Time_left).w
    move.w  (VDP_Reg0_Val).w, d0
    ori.b   #$40, d0
    move.w  d0, ($C00004)
Sega_WaitPalette: ; loc_36F0:           
    move.b  #2, (Delay_Time).w           
    bsr     DelayProgram        ; loc_31D8
    bsr     PalCycle_Sega       ; loc_27F0 ; Load "Sega" rotating palette
    bne.s   Sega_WaitPalette    ; loc_36F0 
    move.b  #$FA, d0        ; Load "Sega" sound
    bsr     Play_Sfx        ; loc_14C6
    move.b  #2, (Delay_Time).w
    bsr     DelayProgram        ; loc_31D8
    move.w  #$B4, (Demo_Time_left).w
Sega_WaitEnd: ; loc_3718:        
    move.b  #$14, (Delay_Time).w
    bsr     DelayProgram        ; loc_31D8
    tst.w   (Demo_Time_left).w
    beq.s   Sega_GoToTitleScreen    ; loc_3730
    andi.b  #$80, (Ctrl_1_Press).w
    beq.s   Sega_WaitEnd        ; loc_3718   
Sega_GoToTitleScreen: ; loc_3730:        
    move.b  #4, (Game_Mode).w
    rts