loc_3A1C:        
    move.l  d0, (a1)+
    dbra    d1, LevelSelect_ClearScroll ; loc_3A1C 
    move.l  d0, (Vscroll_Factor).w
    move    #$2700, SR
    lea     ($C00000), a6
    move.l  #$60000003, ($C00004)
    move.w  #$3FF, d1
LevelSelect_ClearVRAM: ; loc_3A3E:        
    move.l  d0, (a6) 
    dbra    d1, LevelSelect_ClearVRAM ; loc_3A3E
    bsr     LevelSelect_TextLoad ; loc_3CC4
LevelSelect_Loop: ; loc_3A48:        
    move.b  #4, (Delay_Time).w
    bsr     DelayProgram        ; loc_31D8
    bsr     LevelSelect_Controls    ; loc_3C2E
    bsr     RunPLC          ; loc_17A8
    tst.l   (Plc_Buffer).w
    bne.s   LevelSelect_Loop    ; loc_3A48   
    andi.b  #$F0, (Ctrl_1_Press).w
    beq.s   LevelSelect_Loop    ; loc_3A48
    move.w  #$00, (Two_player_mode).w
    btst    #4, (Ctrl_1_Held).w
    beq.s   loc_3A7C
    move.w  #$1, (Two_player_mode).w
loc_3A7C:
    move.w  (Level_select_zone).w, d0
    cmpi.w  #$1A, d0
    bne.s   loc_3A9C
    btst    #6, (Ctrl_1_Press).w
    bne.s   LevelSelect_Loop    ; loc_3A48
    move.w  (Sound_test_sound).w, d0
    addi.w  #$80, d0
    bsr     Play_Sfx        ; loc_14C6
    bra.s   LevelSelect_Loop    ; loc_3A48
loc_3A9C:
    add.w   d0, d0           
    move.w  Level_Select_Array(PC, d0), d0 ; loc_3AD4 Load Level Select Array
    bmi     LevelSelect_Loop    ; loc_3A48
    cmpi.w  #$8000, d0 ; are you going to Level Select?
    bne.s   Level_Select_Level      ; Since you're not, branch to the level load sequence.
    move.b  #$10, (Game_Mode).w   ; Set Game Mode to Special Stage (10)
    clr.w   (Current_Zone).w      
    move.b  #3, (Life_count).w
    moveq   #0, d0
    move.w  d0, (Ring_count).w
    move.l  d0, (Timer).w
    move.l  d0, (Score).w
    move.l  #$1388, ($FFFFFFC0).w
    rts
Level_Select_Array: ; loc_3AD4: ; Level Select Array
    dc.w    $0000, $1     ; GHz
    dc.w    $200, $201     ; Wz
    dc.w    $400, $401, $500  ; Mz
    dc.w    $700, $701     ; HTz
    dc.w    $800, $801     ; HPz
    dc.w    $A00, $A01     ; OOz
    dc.w    $B00, $B01     ; DHz
    dc.w    $C00, $C01     ; CNz
    dc.w    $D00, $D01     ; CPz
    dc.w    $E00, $E01     ; GCz
    dc.w    $F00, $F01     ; NGHz
    dc.w    $1000, $1001     ; Dez
    dc.w    $8000        ; SS 
    dc.w    $0000        ; Sound Test
Level_Select_Level: ; loc_3B0A:
    andi.w  #$3FFF, d0 
    move.w  d0, (Current_ZoneAndAct).w
PlayLevel: ; loc_3B12:        
    move.b  #$C, (Game_Mode).w ; Set Game Mode to Level Mode (C)
    move.b  #3, (Life_count).w ; Set Life Counter to 3
    moveq   #0, d0  ; Score is at 0
    move.w  d0, (Ring_count).w
    move.l  d0, (Timer).w
    move.l  d0, (Score).w
    move.b  d0, (Current_Special_Stage).w
    move.b  d0, ($FFFFFE57).w
    move.l  d0, (Saved_Dynamic_Resize_Routine).w
    move.l  d0, ($FFFFFE5C).w
    move.b  d0, (Continue_count).w
    move.l  #$1388, ($FFFFFFC0).w
    move.b  #$E0, d0
    bsr     Play_Sfx        ; loc_14C6
    rts  
Level_Select_Code_US: ; loc_3B52:
    dc.b    $1, $2, $2, $2, $2, $1, $00, $FF  ; Code sequence  
Level_Select_Code_J:  ; loc_3B5A:
    dc.b    $1, $2, $2, $2, $2, $1, $00, $FF  ; Code sequence  