loc_8D38:
    moveq   #0, d0
    move.b  routine(A0), d0
    move.w  Obj18_Index(pc, d0), d1
    jmp     Obj18_Index(pc, d1)   
; ===========================================================================	
Obj18_Index:
    dc.w    loc_8D5A-Obj18_Index
    dc.w    loc_8DF6-Obj18_Index
    dc.w    loc_8E5C-Obj18_Index
    dc.w    loc_8E34-Obj18_Index
    dc.w    loc_8E60-Obj18_Index
; ===========================================================================		
loc_8D50:
    dc.w    $2000, $2001, $2002, $4003, $3004   
; ===========================================================================		
loc_8D5A: 
    addq.b  #2, routine(A0)
    moveq   #0, d0
    move.b  subtype(A0), d0
    lsr.w   #3, d0
    andi.w  #$E, d0
    lea     loc_8D50(pc, d0), a2
    move.b  (a2)+, width_pixels(A0)
    move.b  (a2)+, mapping_frame(A0)
    move.l  #Ghz_Platform_Mappings, mappings(A0) ; loc_9078
    move.w  #$4000, $2(A0)
    cmpi.b  #$F, (Current_ZoneAndAct).w
    bne.s   loc_8D9A
    move.l  #Nghz_Platform_Mappings, mappings(A0) ; loc_90D0
    move.w  #$4000, $2(A0)
loc_8D9A:
    bsr     Adjust2PArtPointer     ; loc_DC30
    move.b  #4, $1(A0)
    move.b  #4, priority(A0)
    move.w  y_pos(A0), $2C(A0)
    move.w  y_pos(A0), $34(A0)
    move.w  x_pos(A0), $32(A0)
    move.w  #$80, angle(A0)
    tst.b   subtype(A0)
    bpl.s   loc_8DF0
    addq.b  #6, routine(A0)
    andi.b  #$F, subtype(A0)
    move.b  #$30, y_radius(A0)
    cmpi.b  #$F, (Current_ZoneAndAct).w
    bne.s   loc_8DE6
    move.b  #$28, y_radius(A0)
loc_8DE6:
    bset    #4, $1(A0)
    bra     loc_8E60         
loc_8DF0:
    andi.b  #$F, subtype(A0)
loc_8DF6:
    move.b  status(A0), d0
    andi.b  #$18, d0
    bne.s   loc_8E0C
    tst.b   $38(A0)
    beq.s   loc_8E18
    subq.b  #4, $38(A0)
    bra.s   loc_8E18
loc_8E0C:
    cmpi.b  #$40, $38(A0)
    beq.s   loc_8E18
    addq.b  #4, $38(A0)
loc_8E18:
    move.w  x_pos(A0), -(a7)
    bsr     loc_8EC4
    bsr     loc_8EAA
    moveq   #0, d1
    move.b  width_pixels(A0), d1
    moveq   #8, d3
    move.w  (a7)+, d4
    bsr     PlatformObject
    bra.s   loc_8E3C
loc_8E34:
    bsr     loc_8EC4
    bsr     loc_8EAA
loc_8E3C:
    tst.w   (Two_player_mode).w
    beq.s   loc_8E46
    bra     DisplaySprite       ; loc_D3C2
loc_8E46:
    move.w  $32(A0), d0
    andi.w  #$FF80, d0
    sub.w   (Camera_X_pos_coarse).w, d0
    cmpi.w  #$280, d0
    bhi.s   loc_8E5C
    bra     DisplaySprite       ; loc_D3C2
loc_8E5C:
    bra     DeleteObject        ; loc_D3B4
loc_8E60:
    move.b  status(A0), d0
    andi.b  #$18, d0
    bne.s   loc_8E76
    tst.b   $38(A0)
    beq.s   loc_8E82
    subq.b  #4, $38(A0)
    bra.s   loc_8E82
loc_8E76:
    cmpi.b  #$40, $38(A0)
    beq.s   loc_8E82
    addq.b  #4, $38(A0)
loc_8E82:
    move.w  x_pos(A0), -(a7)
    bsr     loc_8EC4
    bsr     loc_8EAA
    moveq   #0, d1
    move.b  width_pixels(A0), d1
    addi.w  #$B, d1
    moveq   #0, d2
    move.b  y_radius(A0), d2
    move.w  d2, d3
    addq.w  #1, d3
    move.w  (a7)+, d4
    bsr     SolidObject         ; loc_F4A0
    bra.s   loc_8E3C
loc_8EAA:
    move.b  $38(A0), d0
    bsr     CalcSine        ; loc_320A
    move.w  #$400, d1
    muls.w  d1, d0
    swap.w  d0
    add.w   $2C(A0), d0
    move.w  d0, y_pos(A0)
    rts
loc_8EC4:
    moveq   #0, d0
    move.b  subtype(A0), d0
    andi.w  #$F, d0
    add.w   d0, d0
    move.w  loc_8ED8(pc, d0), d1
    jmp     loc_8ED8(pc, d1)
loc_8ED8:
    dc.w    loc_8EF4-loc_8ED8
    dc.w    loc_8F06-loc_8ED8
    dc.w    loc_8F4C-loc_8ED8
    dc.w    loc_8F64-loc_8ED8
    dc.w    loc_8F8C-loc_8ED8
    dc.w    loc_8EF6-loc_8ED8
    dc.w    loc_8F3C-loc_8ED8
    dc.w    loc_8FFA-loc_8ED8
    dc.w    loc_9026-loc_8ED8
    dc.w    loc_8EF4-loc_8ED8
    dc.w    loc_903E-loc_8ED8
    dc.w    loc_9058-loc_8ED8
    dc.w    loc_8F2E-loc_8ED8
    dc.w    loc_8F1E-loc_8ED8
loc_8EF4:           
    rts
loc_8EF6:   
    move.w  $32(A0), d0
    move.b  angle(A0), d1
    neg.b   d1
    addi.b  #$40, d1
    bra.s   loc_8F12
loc_8F06:
    move.w  $32(A0), d0
    move.b  angle(A0), d1
    subi.b  #$40, d1
loc_8F12:
    ext.w   d1
    add.w   d1, d0
    move.w  d0, x_pos(A0)
    bra     loc_9070
loc_8F1E:
    move.w  $34(A0), d0
    move.b  ($FFFFFE6C).w, d1
    neg.b   d1
    addi.b  #$30, d1
    bra.s   loc_8F58
loc_8F2E:
    move.w  $34(A0), d0
    move.b  ($FFFFFE6C).w, d1
    subi.b  #$30, d1
    bra.s   loc_8F58
loc_8F3C:
    move.w  $34(A0), d0
    move.b  angle(A0), d1
    neg.b   d1
    addi.b  #$40, d1
    bra.s   loc_8F58
loc_8F4C:
    move.w  $34(A0), d0
    move.b  angle(A0), d1
    subi.b  #$40, d1
loc_8F58:
    ext.w   d1
    add.w   d1, d0
    move.w  d0, $2C(A0)
    bra     loc_9070
loc_8F64:
    tst.w   $3A(A0)
    bne.s   loc_8F7A
    btst    #3, status(A0)
    beq.s   loc_8F78
    move.w  #$1E, $3A(A0)
loc_8F78:
    rts
loc_8F7A:
    subq.w  #1, $3A(A0)
    bne.s   loc_8F78
    move.w  #$20, $3A(A0)
    addq.b  #1, subtype(A0)
    rts
loc_8F8C:
    tst.w   $3A(A0)
    beq.s   loc_8FCC
    subq.w  #1, $3A(A0)
    bne.s   loc_8FCC
    btst    #3, status(A0)
    beq.s   loc_8FC6
    lea     (MainCharacter).w, a1
    bset    #1, status(a1)
    bclr    #3, status(a1)
    move.b  #2, routine(a1)
    bclr    #3, status(A0)
    clr.b   routine_secondary(A0)
    move.w  y_vel(A0), y_vel(a1)
loc_8FC6:
    move.b  #6, routine(A0)
loc_8FCC:
    move.l  $2C(A0), d3
    move.w  y_vel(A0), d0
    ext.l   d0
    asl.l   #8, d0
    add.l   d0, d3
    move.l  d3, $2C(A0)
    addi.w  #$38, y_vel(A0)
    move.w  (Camera_Max_Y_pos_now).w, d0
    addi.w  #$E0, d0
    cmp.w   $2C(A0), d0
    bcc.s   loc_8FF8
    move.b  #4, routine(A0)
loc_8FF8:
    rts
loc_8FFA:
    tst.w   $3A(A0)
    bne.s   loc_901A
    lea     ($FFFFF7E0).w, a2
    moveq   #0, d0
    move.b  subtype(A0), d0
    lsr.w   #4, d0
    tst.b   $00(a2, d0)
    beq.s   loc_9018
    move.w  #$3C, $3A(A0)
loc_9018:
    rts
loc_901A:
    subq.w  #1, $3A(A0)
    bne.s   loc_9018
    addq.b  #1, subtype(A0)
    rts
loc_9026:
    subq.w  #2, $2C(A0)
    move.w  $34(A0), d0
    subi.w  #$200, d0
    cmp.w   $2C(A0), d0
    bne.s   loc_903C
    clr.b   subtype(A0)
loc_903C:
    rts
loc_903E:
    move.w  $34(A0), d0
    move.b  angle(A0), d1
    subi.b  #$40, d1
    ext.w   d1
    asr.w   #1, d1
    add.w   d1, d0
    move.w  d0, $2C(A0)
    bra     loc_9070
loc_9058:
    move.w  $34(A0), d0
    move.b  angle(A0), d1
    neg.b   d1
    addi.b  #$40, d1
    ext.w   d1
    asr.w   #1, d1
    add.w   d1, d0
    move.w  d0, $2C(A0)
loc_9070:
    move.b  ($FFFFFE78).w, angle(A0)
    rts
;=============================================================================== 	
Ghz_Platform_Mappings: ; loc_9078:
	incbin "mappings\GHZ\Obj18_GHZ.bin"
Nghz_Platform_Mappings: ; loc_90D0:   
	incbin "mappings\NGHZ\Obj18_NGHZ.bin"       
 